swissroll {KODAMA} | R Documentation

## Swiss Roll Data Set Generator

### Description

Computes the Swiss Roll data set of a given number of data points.

### Usage

    swissroll(N=1000)

### Arguments

`N` | Number of data points.

### Value

The function returns a three dimensional matrix.

### Author(s)

Stefano Cacciatore and Leonardo Tenori

### References

Balasubramanian M, Schwartz EL
The isomap algorithm and topological stability.
Science 2002;295(5552):7.
Roweis ST, Saul LK
Nonlinear dimensionality reduction by locally linear embedding.
Science 2000;290(5500):2323-6.
Cacciatore S, Luchinat C, Tenori L
Knowledge discovery by accuracy maximization.
Proc Natl Acad Sci U S A 2014;111(14):5117-22. doi: 10.1073/pnas.1220873111. Link
Cacciatore S, Tenori L, Luchinat C, Bennett PR, MacIntyre DA
KODAMA: an updated R package for knowledge discovery and data mining.
Bioinformatics 2017;33(4):621-623. doi: 10.1093/bioinformatics/btw705. Link

### See Also

`helicoid`,`dinisurface`,`spirals`

### Examples

    require("rgl")
    x=swissroll()
    open3d()
    plot3d(x, col=rainbow(1000),box=FALSE,size=3)
    rgl.postscript("swissroll.pdf", fmt="pdf")

[Package KODAMA version 1.5 Index]